package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Personal_information;
import com.realnet.basicp1.Services.Personal_informationService ;


















@RequestMapping(value = "/Personal_information")
 @CrossOrigin("*") 
@RestController
public class Personal_informationController {
	@Autowired
	private Personal_informationService Service;

@Value("${projectPath}")
	private String projectPath;
 


















	@PostMapping("/Personal_information")
		  public Personal_information Savedata(@RequestBody Personal_information data) {
		Personal_information save = Service.Savedata(data)	;

















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Personal_information/{id}")
	public  Personal_information update(@RequestBody Personal_information data,@PathVariable Integer id ) {
		Personal_information update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Personal_information/getall/page")
	public Page<Personal_information> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Personal_information> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Personal_information")
	public List<Personal_information> getdetails() {
		 List<Personal_information> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Personal_information")
	public List<Personal_information> getallwioutsec() {
		 List<Personal_information> get = Service.getdetails();		
		return get;
}
@GetMapping("/Personal_information/{id}")
	public  Personal_information  getdetailsbyId(@PathVariable Integer id ) {
		Personal_information  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Personal_information/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



















}